> For the complete documentation index, see [llms.txt](https://docs.barte.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.barte.com/api-reference/compradores/documentos-aceitos.md).

# Documentos Aceitos

Lista das combinações de `documentNation` e `documentType` aceitas no campo `document` da [criação de comprador](/api-reference/compradores/criar-comprador.md) (`POST /v2/buyers`).

O `documentNumber` é validado conforme as regras de cada documento (dígitos verificadores, tamanho e formato). Uma combinação fora desta lista, ou um número inválido para o documento informado, retorna `400` com o erro `BAR-0500` no campo `document`.

{% hint style="info" %}

* `documentNation` é o código do país no padrão ISO 3166-1 alfa-2, com letras maiúsculas (ex.: `US`).
* `documentType` não diferencia maiúsculas de minúsculas (`ssn` e `SSN` são equivalentes).
* Passaporte não é um tipo de documento aceito.
  {% endhint %}

## Exemplo

```json
{
  "document": {
    "documentNumber": "536904399",
    "documentType": "ssn",
    "documentNation": "US"
  }
}
```

## Documentos por país

| País                               | `documentNation` | `documentType`          | Documento                                        | Aplica-se a              |
| ---------------------------------- | ---------------- | ----------------------- | ------------------------------------------------ | ------------------------ |
| África do Sul                      | `ZA`             | `idnr`                  | ID number                                        | Pessoa física            |
| África do Sul                      | `ZA`             | `tin`                   | TIN — Tax Identification Number                  | Pessoa física e jurídica |
| Albânia                            | `AL`             | `nipt`                  | NIPT / NUIS                                      | Pessoa física e jurídica |
| Alemanha                           | `DE`             | `handelsregisternummer` | Handelsregisternummer                            | Pessoa jurídica          |
| Alemanha                           | `DE`             | `idnr`                  | IdNr — Steuerliche Identifikationsnummer         | Pessoa física            |
| Alemanha                           | `DE`             | `stnr`                  | St.-Nr. — Steuernummer                           | Pessoa física e jurídica |
| Alemanha                           | `DE`             | `vat`                   | USt-IdNr                                         | Pessoa jurídica          |
| Andorra                            | `AD`             | `nrt`                   | NRT — Número de Registre Tributari               | Pessoa física e jurídica |
| Argélia                            | `DZ`             | `nif`                   | NIF — Numéro d Identification Fiscale            | Pessoa física e jurídica |
| Argentina                          | `AR`             | `cuit`                  | CUIT — Código Único de Identificación Tributaria | Pessoa física e jurídica |
| Argentina                          | `AR`             | `dni`                   | DNI — Documento Nacional de Identidad            | Pessoa física            |
| Austrália                          | `AU`             | `abn`                   | ABN — Australian Business Number                 | Pessoa jurídica          |
| Austrália                          | `AU`             | `acn`                   | ACN — Australian Company Number                  | Pessoa jurídica          |
| Austrália                          | `AU`             | `tfn`                   | TFN — Tax File Number                            | Pessoa física e jurídica |
| Áustria                            | `AT`             | `businessid`            | Firmenbuchnummer                                 | Pessoa jurídica          |
| Áustria                            | `AT`             | `tin`                   | Abgabenkontonummer                               | Pessoa física e jurídica |
| Áustria                            | `AT`             | `uid`                   | UID — Umsatzsteuer-Identifikationsnummer         | Pessoa jurídica          |
| Áustria                            | `AT`             | `vnr`                   | VNR / SVNR — Versicherungsnummer                 | Pessoa física            |
| Belarus                            | `BY`             | `unp`                   | УНП (UNP)                                        | Pessoa física e jurídica |
| Bélgica                            | `BE`             | `bis`                   | BIS-nummer                                       | Pessoa física            |
| Bélgica                            | `BE`             | `nn`                    | NN / NISS / RRN — Rijksregisternummer            | Pessoa física            |
| Bélgica                            | `BE`             | `vat`                   | Ondernemingsnummer (BTW / TVA)                   | Pessoa jurídica          |
| Brasil                             | `BR`             | `cnpj`                  | CNPJ — Cadastro Nacional da Pessoa Jurídica      | Pessoa jurídica          |
| Brasil                             | `BR`             | `cpf`                   | CPF — Cadastro de Pessoas Físicas                | Pessoa física            |
| Bulgária                           | `BG`             | `egn`                   | ЕГН (EGN)                                        | Pessoa física            |
| Bulgária                           | `BG`             | `pnf`                   | ЛНЧ (PNF)                                        | Pessoa física            |
| Bulgária                           | `BG`             | `vat`                   | Идентификационен номер по ДДС                    | Pessoa física e jurídica |
| Canadá                             | `CA`             | `bn`                    | BN — Business Number                             | Pessoa jurídica          |
| Canadá                             | `CA`             | `sin`                   | SIN — Social Insurance Number                    | Pessoa física            |
| Chile                              | `CL`             | `rut`                   | RUT — Rol Único Tributario                       | Pessoa física e jurídica |
| China                              | `CN`             | `ric`                   | RIC No.                                          | Pessoa física            |
| China                              | `CN`             | `uscc`                  | USCC — Unified Social Credit Code                | Pessoa jurídica          |
| Chipre                             | `CY`             | `vat`                   | Αριθμός Εγγραφής Φ.Π.Α.                          | Pessoa jurídica          |
| Colômbia                           | `CO`             | `nit`                   | NIT / RUT                                        | Pessoa física e jurídica |
| Coreia do Sul                      | `KR`             | `brn`                   | 사업자 등록 번호                                        | Pessoa jurídica          |
| Coreia do Sul                      | `KR`             | `rrn`                   | RRN — 주민등록번호                                     | Pessoa física            |
| Costa Rica                         | `CR`             | `cpf`                   | CPF — Cédula de Persona Física                   | Pessoa física            |
| Costa Rica                         | `CR`             | `cpj`                   | CPJ — Cédula de Persona Jurídica                 | Pessoa jurídica          |
| Costa Rica                         | `CR`             | `cr`                    | CR — Cédula de Residencia (DIMEX)                | Pessoa física            |
| Croácia                            | `HR`             | `oib`                   | OIB — Osobni identifikacijski broj               | Pessoa física e jurídica |
| Cuba                               | `CU`             | `ni`                    | NI — Número de identidad                         | Pessoa física            |
| Dinamarca                          | `DK`             | `cpr`                   | CPR — personnummer                               | Pessoa física            |
| Dinamarca                          | `DK`             | `cvr`                   | CVR — Momsregistreringsnummer                    | Pessoa jurídica          |
| Egito                              | `EG`             | `tn`                    | Tax Registration Number                          | Pessoa física e jurídica |
| El Salvador                        | `SV`             | `nit`                   | NIT                                              | Pessoa física e jurídica |
| Equador                            | `EC`             | `ci`                    | CI — Cédula de identidad                         | Pessoa física            |
| Equador                            | `EC`             | `ruc`                   | RUC — Registro Único de Contribuyentes           | Pessoa jurídica          |
| Eslováquia                         | `SK`             | `dph`                   | IČ DPH                                           | Pessoa jurídica          |
| Eslováquia                         | `SK`             | `rc`                    | RČ — Rodné číslo                                 | Pessoa física            |
| Eslovênia                          | `SI`             | `ddv`                   | ID za DDV                                        | Pessoa jurídica          |
| Eslovênia                          | `SI`             | `emso`                  | EMŠO                                             | Pessoa física            |
| Eslovênia                          | `SI`             | `maticna`               | Matična številka                                 | Pessoa jurídica          |
| Espanha                            | `ES`             | `cif`                   | CIF — Código de Identificación Fiscal            | Pessoa jurídica          |
| Espanha                            | `ES`             | `dni`                   | DNI — Documento Nacional de Identidad            | Pessoa física            |
| Espanha                            | `ES`             | `nie`                   | NIE — Número de Identificación de Extranjero     | Pessoa física            |
| Espanha                            | `ES`             | `nif`                   | NIF — Número de Identificación Fiscal            | Pessoa física e jurídica |
| Estados Unidos                     | `US`             | `atin`                  | ATIN — Adoption Taxpayer Identification Number   | Pessoa física            |
| Estados Unidos                     | `US`             | `ein`                   | EIN — Employer Identification Number             | Pessoa jurídica          |
| Estados Unidos                     | `US`             | `itin`                  | ITIN — Individual Taxpayer Identification Number | Pessoa física            |
| Estados Unidos                     | `US`             | `ptin`                  | PTIN — Preparer Tax Identification Number        | Pessoa física            |
| Estados Unidos                     | `US`             | `ssn`                   | SSN — Social Security Number                     | Pessoa física            |
| Estados Unidos                     | `US`             | `tin`                   | TIN — Taxpayer Identification Number             | Pessoa física e jurídica |
| Estônia                            | `EE`             | `ik`                    | Isikukood                                        | Pessoa física            |
| Estônia                            | `EE`             | `kmkr`                  | KMKR — Käibemaksukohuslase                       | Pessoa jurídica          |
| Estônia                            | `EE`             | `registrikood`          | Registrikood                                     | Pessoa jurídica          |
| Finlândia                          | `FI`             | `alv`                   | ALV nro — Arvonlisäveronumero                    | Pessoa jurídica          |
| Finlândia                          | `FI`             | `associationid`         | Identificador de associação finlandesa           | Pessoa jurídica          |
| Finlândia                          | `FI`             | `hetu`                  | HETU — Henkilötunnus                             | Pessoa física            |
| Finlândia                          | `FI`             | `veronumero`            | Veronumero                                       | Pessoa física            |
| Finlândia                          | `FI`             | `ytunnus`               | Y-tunnus                                         | Pessoa jurídica          |
| França                             | `FR`             | `nif`                   | NIF / SPI — Numéro d Immatriculation Fiscale     | Pessoa física            |
| França                             | `FR`             | `nir`                   | NIR                                              | Pessoa física            |
| França                             | `FR`             | `siren`                 | SIREN                                            | Pessoa jurídica          |
| França                             | `FR`             | `siret`                 | SIRET                                            | Pessoa jurídica          |
| França                             | `FR`             | `tva`                   | n° TVA                                           | Pessoa jurídica          |
| Gana                               | `GH`             | `tin`                   | TIN — Taxpayer Identification Number             | Pessoa física e jurídica |
| Grécia                             | `GR`             | `amka`                  | AMKA                                             | Pessoa física            |
| Grécia                             | `GR`             | `vat`                   | ΑΦΜ (FPA)                                        | Pessoa física e jurídica |
| Guatemala                          | `GT`             | `nit`                   | NIT — Número de Identificación Tributaria        | Pessoa jurídica          |
| Guiné                              | `GN`             | `nifp`                  | NIFp — Numéro d Identification Fiscale Permanent | Pessoa física e jurídica |
| Hungria                            | `HU`             | `anum`                  | ANUM — Közösségi adószám                         | Pessoa jurídica          |
| Ilhas Faroe                        | `FO`             | `vn`                    | V-number (Vinnutal)                              | Pessoa jurídica          |
| Índia                              | `IN`             | `aadhaar`               | Aadhaar                                          | Pessoa física            |
| Índia                              | `IN`             | `epic`                  | EPIC — Electoral Photo Identity Card             | Pessoa física            |
| Índia                              | `IN`             | `gstin`                 | GSTIN                                            | Pessoa jurídica          |
| Índia                              | `IN`             | `pan`                   | PAN — Permanent Account Number                   | Pessoa física e jurídica |
| Indonésia                          | `ID`             | `npwp`                  | NPWP — Nomor Pokok Wajib Pajak                   | Pessoa física e jurídica |
| Irlanda                            | `IE`             | `pps`                   | PPS No — Personal Public Service Number          | Pessoa física            |
| Irlanda                            | `IE`             | `vat`                   | VAT (tax reference number)                       | Pessoa jurídica          |
| Islândia                           | `IS`             | `kennitala`             | Kennitala                                        | Pessoa física e jurídica |
| Islândia                           | `IS`             | `vsk`                   | VSK — Virðisaukaskattsnúmer                      | Pessoa jurídica          |
| Israel                             | `IL`             | `hp`                    | מספר חברה (ח.פ.)                                 | Pessoa jurídica          |
| Israel                             | `IL`             | `idnr`                  | Mispar Zehut (מספר זהות)                         | Pessoa física            |
| Itália                             | `IT`             | `codicefiscale`         | Codice Fiscale                                   | Pessoa física e jurídica |
| Itália                             | `IT`             | `iva`                   | Partita IVA                                      | Pessoa jurídica          |
| Japão                              | `JP`             | `cn`                    | 法人番号 (hōjin bangō)                               | Pessoa jurídica          |
| Letônia                            | `LV`             | `pvn`                   | PVN                                              | Pessoa física e jurídica |
| Liechtenstein                      | `LI`             | `peid`                  | PEID — Personenidentifikationsnummer             | Pessoa física e jurídica |
| Lituânia                           | `LT`             | `asmens`                | Asmens kodas                                     | Pessoa física            |
| Lituânia                           | `LT`             | `pvm`                   | PVM                                              | Pessoa jurídica          |
| Luxemburgo                         | `LU`             | `tva`                   | TVA                                              | Pessoa jurídica          |
| Macedônia do Norte                 | `MK`             | `edb`                   | ЕДБ                                              | Pessoa física e jurídica |
| Malásia                            | `MY`             | `nric`                  | NRIC No.                                         | Pessoa física            |
| Malta                              | `MT`             | `vat`                   | VAT maltês                                       | Pessoa jurídica          |
| Marrocos                           | `MA`             | `ice`                   | ICE — Identifiant Commun de l Entreprise         | Pessoa jurídica          |
| Maurício                           | `MU`             | `nid`                   | ID number                                        | Pessoa física            |
| México                             | `MX`             | `curp`                  | CURP — Clave Única de Registro de Población      | Pessoa física            |
| México                             | `MX`             | `rfc`                   | RFC — Registro Federal de Contribuyentes         | Pessoa física e jurídica |
| Moldávia                           | `MD`             | `idno`                  | IDNO                                             | Pessoa jurídica          |
| Mônaco                             | `MC`             | `tva`                   | n° TVA monegasco                                 | Pessoa jurídica          |
| Montenegro                         | `ME`             | `pib`                   | PIB — Poreski Identifikacioni Broj               | Pessoa física e jurídica |
| Noruega                            | `NO`             | `fodselsnummer`         | Fødselsnummer                                    | Pessoa física            |
| Noruega                            | `NO`             | `mva`                   | MVA — Merverdiavgift                             | Pessoa jurídica          |
| Noruega                            | `NO`             | `orgnr`                 | Organisasjonsnummer                              | Pessoa jurídica          |
| Nova Zelândia                      | `NZ`             | `ird`                   | IRD number                                       | Pessoa física e jurídica |
| Países Baixos                      | `NL`             | `bsn`                   | BSN — Burgerservicenummer                        | Pessoa física            |
| Países Baixos                      | `NL`             | `btw`                   | Btw-identificatienummer                          | Pessoa jurídica          |
| Países Baixos                      | `NL`             | `onderwijsnummer`       | Onderwijsnummer                                  | Pessoa física            |
| Paquistão                          | `PK`             | `cnic`                  | CNIC number                                      | Pessoa física            |
| Paraguai                           | `PY`             | `ruc`                   | RUC                                              | Pessoa física e jurídica |
| Peru                               | `PE`             | `cui`                   | CUI — Cédula Única de Identidad                  | Pessoa física            |
| Peru                               | `PE`             | `ruc`                   | RUC — Registro Único de Contribuyentes           | Pessoa física e jurídica |
| Polônia                            | `PL`             | `nip`                   | NIP — Numer Identyfikacji Podatkowej             | Pessoa física e jurídica |
| Polônia                            | `PL`             | `pesel`                 | PESEL                                            | Pessoa física            |
| Polônia                            | `PL`             | `regon`                 | REGON                                            | Pessoa jurídica          |
| Portugal                           | `PT`             | `cc`                    | CC — Número de Cartão de Cidadão                 | Pessoa física            |
| Portugal                           | `PT`             | `nif`                   | NIF / NIPC                                       | Pessoa física e jurídica |
| Quênia                             | `KE`             | `pin`                   | KRA PIN                                          | Pessoa física e jurídica |
| Reino Unido                        | `GB`             | `utr`                   | UTR — Unique Taxpayer Reference                  | Pessoa física e jurídica |
| Reino Unido                        | `GB`             | `vat`                   | VAT registration number                          | Pessoa jurídica          |
| República Dominicana               | `DO`             | `cedula`                | Cédula                                           | Pessoa física            |
| República Dominicana               | `DO`             | `rnc`                   | RNC — Registro Nacional del Contribuyente        | Pessoa jurídica          |
| Romênia                            | `RO`             | `cf`                    | CF                                               | Pessoa jurídica          |
| Romênia                            | `RO`             | `cnp`                   | CNP — Cod Numeric Personal                       | Pessoa física            |
| Romênia                            | `RO`             | `cui`                   | CUI / CIF                                        | Pessoa jurídica          |
| Romênia                            | `RO`             | `onrc`                  | ONRC                                             | Pessoa jurídica          |
| Rússia                             | `RU`             | `inn`                   | ИНН (INN)                                        | Pessoa física e jurídica |
| San Marino                         | `SM`             | `coe`                   | COE — Codice operatore economico                 | Pessoa jurídica          |
| Sérvia                             | `RS`             | `pib`                   | PIB                                              | Pessoa física e jurídica |
| Singapura                          | `SG`             | `uen`                   | UEN — Unique Entity Number                       | Pessoa jurídica          |
| Suécia                             | `SE`             | `orgnr`                 | Organisationsnummer                              | Pessoa jurídica          |
| Suécia                             | `SE`             | `personnummer`          | Personnummer                                     | Pessoa física            |
| Suécia                             | `SE`             | `vat`                   | Momsregistreringsnummer                          | Pessoa jurídica          |
| Suíça                              | `CH`             | `ssn`                   | AHV-Nummer (Sozialversicherungsnummer)           | Pessoa física            |
| Suíça                              | `CH`             | `uid`                   | UID — Unternehmens-Identifikationsnummer         | Pessoa jurídica          |
| Suíça                              | `CH`             | `vat`                   | MWST / TVA / IVA                                 | Pessoa jurídica          |
| Tailândia                          | `TH`             | `moa`                   | MOA number                                       | Pessoa jurídica          |
| Tailândia                          | `TH`             | `pin`                   | PIN                                              | Pessoa física            |
| Tailândia                          | `TH`             | `tin`                   | TIN                                              | Pessoa física e jurídica |
| Taiwan                             | `TW`             | `ubn`                   | UBN — 統一編號                                       | Pessoa jurídica          |
| Tchéquia                           | `CZ`             | `dic`                   | DIČ — Daňové identifikační číslo                 | Pessoa física e jurídica |
| Tchéquia                           | `CZ`             | `rc`                    | RČ — Rodné číslo                                 | Pessoa física            |
| Tunísia                            | `TN`             | `mf`                    | MF — Matricule Fiscal                            | Pessoa jurídica          |
| Turquia                            | `TR`             | `tckimlik`              | T.C. Kimlik No.                                  | Pessoa física            |
| Turquia                            | `TR`             | `vkn`                   | VKN — Vergi Kimlik Numarası                      | Pessoa jurídica          |
| Ucrânia                            | `UA`             | `edrpou`                | ЄДРПОУ (EDRPOU)                                  | Pessoa jurídica          |
| Ucrânia                            | `UA`             | `rntrc`                 | РНОКПП (RNTRC)                                   | Pessoa física            |
| União Europeia (bloco, não é país) | `EU`             | `oss`                   | OSS — One Stop Shop                              | Pessoa jurídica          |
| União Europeia (bloco, não é país) | `EU`             | `vat`                   | IVA intracomunitário                             | Pessoa jurídica          |
| Uruguai                            | `UY`             | `rut`                   | RUT — Registro Único Tributario                  | Pessoa jurídica          |
| Venezuela                          | `VE`             | `rif`                   | RIF — Registro de Identificación Fiscal          | Pessoa física e jurídica |
| Vietnã                             | `VN`             | `mst`                   | MST — Mã số thuế                                 | Pessoa física e jurídica |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.barte.com/api-reference/compradores/documentos-aceitos.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
